Get a changed Brand file
curl --request GET \
--url https://www.trybloom.ai/api/v1/brands/{id}/edits/{editId}/files \
--header 'x-api-key: <api-key>'import requests
url = "https://www.trybloom.ai/api/v1/brands/{id}/edits/{editId}/files"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.trybloom.ai/api/v1/brands/{id}/edits/{editId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"schemaVersion": 2,
"editId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "awaiting_approval",
"path": "<string>",
"operation": "add",
"base": {
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileSha256": "<string>",
"startCharacter": 4503599627370495,
"endCharacter": 4503599627370495,
"totalCharacters": 4503599627370495,
"content": "<string>"
},
"candidate": {
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileSha256": "<string>",
"startCharacter": 4503599627370495,
"endCharacter": 4503599627370495,
"totalCharacters": 4503599627370495,
"content": "<string>"
},
"hasMore": true,
"nextCursor": "<string>"
}
}{
"error": {
"code": "INVALID_CURSOR",
"status": 400,
"message": "Invalid pagination cursor",
"data": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "BRAND_NOT_FOUND",
"status": 404,
"message": "Brand not found",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"status": 500,
"message": "Brand edit request failed",
"data": "<unknown>"
}
}Brands
Get a changed Brand file
Return a bounded page from the exact base and candidate file snapshots. Follow nextCursor until null to reconstruct both complete files.
GET
/
brands
/
{id}
/
edits
/
{editId}
/
files
Get a changed Brand file
Authorizations
apiKeybearer
Bloom API key, for example x-api-key: bloom_sk_....
Query Parameters
Changed Markdown file path
Required string length:
1 - 512Pagination cursor returned by the previous page
Maximum string length:
128Response
OK
Show child attributes
Show child attributes
Was this page helpful?